:root {

    --auth-app-color: #000;

    --auth-context-bg: #fff;
    --auth-context-btn-bg: #fff;
    --auth-context-btn-bg-active: #f1f0fa;
    --auth-context-btn-color: #414141;


    --a: #8d601e;

    --color11: #efebe3;


}


.auth-app {
    height: 100svh;
    width: 100%;
    background: linear-gradient(132deg, #f6f4ff 0%, #c7c0fb 100%);
    color: var(--auth-app-color);
    background-size: cover;
    background-position: 50% 50%;
    background-repeat: no-repeat;
}


.auth-app-container {
    width: 100%;
    max-width: 380px;
    background-color: #fff;
    box-shadow: 0 1px 0 0 rgba(0, 0, 0, .05);
    overflow-x: hidden;
    border-radius: 1.5rem;
    padding: 2.3rem 2rem;
    display: flex;
    flex-direction: column;
    gap: 2rem;
    -webkit-backdrop-filter: blur(15px);
    backdrop-filter: blur(15px);
}

.auth-context {
    display: flex;
    flex-direction: row;
    gap: 0.75rem;
    background-color: var(--auth-context-bg);
}

.auth-context-btn {
    flex: 1;
    width: 100%;
    box-sizing: border-box;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 14px;
    text-decoration: none;
    text-align: center;
    cursor: pointer;
    color: var(--auth-context-btn-color);
    background-color: var(--auth-context-btn-bg);
    font-weight: 500;
    padding: 0.625rem 1rem;
    border-radius: 0.5rem;
    border: 1px solid #f1f1f1;
}
.auth-context-btn:hover, .auth-context-btn.active {
    background-color: var(--auth-context-btn-bg-active);
    color: var(--auth-context-btn-color);
}


.auth-container {
    padding: 3rem 0;
    overflow-x: auto;
}
.auth-container-blur {
    -webkit-backdrop-filter: blur(2px);
    backdrop-filter: blur(2px);
}

.auth-view {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    width: 100%;
    gap: 1.75rem;
}

.auth-logo {
    font-size: 2rem;
    font-weight: 700;
    line-height: 1;
}
.auth-logo a {
    color: #2E2A3A;
}


.auth-content--sm {
    width: 100%;
    max-width: none;
}

/* ===== Для экранов >= 992px ===== */
@media (min-width: 992px) {
    .auth-container {
        height: 100svh;
    }

    .auth-content--sm {
        width: 30rem;
    }
}

.auth-info {
    font-size: 0.75rem;
    line-height: 1.6;
    color: var(--text-muted-500);
    max-width: 85%;
}

